Event (Grails 6.0.0)

Package: grails.persistence

## [Java] Enum Event

- grails.persistence.Event

-     public enum Event
      extends java.lang.Enum

  Enum of the available events that Grails triggers.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `afterDelete` |
    `afterInsert` |
    `afterLoad` |
    `afterUpdate` |
    `beforeDelete` |
    `beforeInsert` |
    `beforeLoad` |
    `beforeUpdate` |
    `onLoad` |
    `onSave` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String[]` | `allEvents` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static java.lang.String[]` | `getAllEvents()` Returns: The names of all persistence events

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Enum` | `java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long), java.lang.Enum#wait(long, int), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()`

- - ### Enum Constant Detail

    - #### public Event afterDelete

    - #### public Event afterInsert

    - #### public Event afterLoad

    - #### public Event afterUpdate

    - #### public Event beforeDelete

    - #### public Event beforeInsert

    - #### public Event beforeLoad

    - #### public Event beforeUpdate

    - #### public Event onLoad

    - #### public Event onSave

  - ### Field Detail

    - #### private static final java.lang.String[] allEvents

  - ### Method Detail

    - #### public static java.lang.String[] getAllEvents()

      Returns:
        The names of all persistence events